Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::TypedDataSerializer< T > Struct Template Reference

`#include <Reflect.h>`

Inheritance diagram for tlp::TypedDataSerializer< T >:
[legend]
Collaboration diagram for tlp::TypedDataSerializer< T >:
[legend]

List of all members.

## Public Member Functions

- TypedDataSerializer (const std::string &otn)
- virtual void write (std::ostream &os, const T &value)=0
- virtual bool read (std::istream &is, T &value)=0
- void writeData (std::ostream &os, const DataType *data)
- DataType * readData (std::istream &is)

### template<typename T>
struct tlp::TypedDataSerializer< T >

## Constructor & Destructor Documentation

template<typename T >

tlp::TypedDataSerializer< T >::TypedDataSerializer | ( | const std::string & | otn | ) | `[inline]`

## Member Function Documentation

template<typename T >

virtual bool tlp::TypedDataSerializer< T >::read | ( | std::istream & | is,
|  | T & | value
| ) |  | `[pure virtual]`

template<typename T >

DataType* tlp::TypedDataSerializer< T >::readData | ( | std::istream & | is | ) | `[inline, virtual]`

Implements tlp::DataTypeSerializer.

template<typename T >

virtual void tlp::TypedDataSerializer< T >::write | ( | std::ostream & | os,
|  | const T & | value
| ) |  | `[pure virtual]`

template<typename T >

void tlp::TypedDataSerializer< T >::writeData | ( | std::ostream & | os,
|  | const DataType * | data
| ) |  | `[inline, virtual]`

Implements tlp::DataTypeSerializer.

Tulip Software by LaBRI Visualization Team 2001 - 2012